ShapeRender = Core.class(Sprite)

function ShapeRender:init(shapes)
	for k,v in ipairs(shapes) do 
		self:addChild(v)
	end
end
--
function ShapeRender:update()
	local l   = self:getNumChildren()
	for i = 1,l do 
		local c = self:getChildAt(i)
		c:updateBlur()
	end
end
--
function ShapeRender:getTop()
	local l = self:getNumChildren()
	return self:getChildAt(l)
end
--
function ShapeRender:pushToTop(shape)
	return self:addChild(shape)
end
--
function ShapeRender:pushToBottom(shape)
	return self:addChild(shape, 1)
end
--
function ShapeRender:getByIndex(ind)
	return self:getChildAt(ind)
end
--